package com.zhentao.common.orders.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 订单明细表
 * @TableName order_details
 */
@TableName(value ="order_details")
@Data
public class OrderDetails implements Serializable {
    /**
     * 订单明细编号
     */
    @TableId
    private Long detailId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 课程id
     */
    private Long courseId;

    /**
     * SKU
     */
    private Long skuId;

    /**
     * 课程名称
     */
    private String courseName;

    /**
     * 应付
     */
    private BigDecimal originalFee;

    /**
     * 实付
     */
    private BigDecimal actualFee;

    /**
     * 优惠类型 如折扣 满减 优惠券等
     */
    private BigDecimal discountAmount;

    /**
     * 订单创建时间
     */
    private Date createTime;

    /**
     * 订单信息更新时间
     */
    private Date updateTime;

    /**
     * 备注
     */
    private String remark;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}