package com.zhentao.common.orders.service.impl;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhentao.common.orders.domain.OrderDetails;
import com.zhentao.common.orders.domain.Orders;
import com.zhentao.common.orders.dto.OrdersDto;
import com.zhentao.common.orders.mapper.OrderDetailsMapper;
import com.zhentao.common.orders.mapper.OrdersMapper;
import com.zhentao.common.orders.service.OrdersService;
import com.zhentao.util.ResultVo;
import com.zhentao.util.SnowflakeIdGenerator;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author lsk
* @description 针对表【orders(订单表)】的数据库操作Service实现
* @createDate 2025-05-08 17:30:15
*/
@Service
public class OrdersServiceImpl extends ServiceImpl<OrdersMapper, Orders>
    implements OrdersService {
    @Autowired
    private OrdersMapper ordersMapper;
    @Autowired
    private OrderDetailsMapper orderDetailsMapper;

    @Override
    public ResultVo add(OrdersDto ordersDto) {
        Orders orders = new Orders();
        OrderDetails orderDetails = new OrderDetails();
        BeanUtils.copyProperties(ordersDto , orders);
        BeanUtils.copyProperties(ordersDto , orderDetails);
        orders.setOrdersId(SnowflakeIdGenerator.getSnowId());
        orderDetails.setDetailId(SnowflakeIdGenerator.getSnowId());
        int i = ordersMapper.insert(orders);
        int i1 = orderDetailsMapper.insert(orderDetails);
        if(i > 0 && i1 > 0 ){
            return ResultVo.OK();
        }
        return ResultVo.ERROR();
    }

    @Override
    public ResultVo findAll() {
        QueryWrapper<Orders> queryWrapper = new QueryWrapper<>();
        List<Orders> orders = ordersMapper.selectList(queryWrapper);
        return ResultVo.OK(orders);
    }
}




